package eu.mhsl.craftattack.spawn.worldmuseum;

import eu.mhsl.craftattack.spawn.Main;
import eu.mhsl.craftattack.spawn.worldmuseum.command.WorldMuseumVillagerCommand;
import eu.mhsl.craftattack.spawn.worldmuseum.listener.PlayerEntityInteractListener;
import eu.mhsl.craftattack.spawn.worldmuseum.util.VillagerSpawner;
import org.bukkit.Bukkit;
import java.util.Objects;

public class WorldMueseumMain {

    public static void onEnable() {
        Main main = getInstance();

        VillagerSpawner.spawnVillager();


//        register Messaging-Channels
        main.getServer().getMessenger().registerOutgoingPluginChannel(main, "BungeeCord");



//        register Commands
        Objects.requireNonNull(main.getCommand("worldMuseum-villager")).setExecutor(new WorldMuseumVillagerCommand());

//        register listeners
        Bukkit.getPluginManager().registerEvents(new PlayerEntityInteractListener(), main);
    }

    public static void onDisable() {
        VillagerSpawner.killVillager();
    }

    public static Main getInstance() {
        return Main.getInstance();
    }

}
