package eu.mhsl.craftattack.spawn.worldmuseum.listener;

import eu.mhsl.craftattack.spawn.worldmuseum.util.ConfigUtil;
import eu.mhsl.craftattack.spawn.worldmuseum.util.PlayerOnlineUtil;
import eu.mhsl.craftattack.spawn.worldmuseum.util.PluginMessage;
import eu.mhsl.craftattack.spawn.worldmuseum.util.VillagerSpawner;
import org.bukkit.Bukkit;
import org.bukkit.event.EventHandler;
import org.bukkit.event.Listener;
import org.bukkit.event.player.PlayerInteractAtEntityEvent;

public class PlayerEntityInteractListener implements Listener {
    private final PluginMessage pluginMessage = new PluginMessage();
    @EventHandler
    public void onInteract(PlayerInteractAtEntityEvent event) {
        if (!event.getRightClicked().equals(VillagerSpawner.getStaticVillager())) return;
        event.setCancelled(true);
        if (PlayerOnlineUtil.worldMuseumCheck(event.getPlayer())) return;

        String servername = ConfigUtil.getConfigUtil().getConfig().getString("world-museum-name");
        pluginMessage.connect(event.getPlayer(), servername);
        PlayerOnlineUtil.addPlayer(event.getPlayer());
        Bukkit.getLogger().info(event.getPlayer().getName() + " connects to Worldmuseum");
    }
}
