package eu.mhsl.craftattack.spawn.worldmuseum.util;

import com.google.common.io.ByteArrayDataOutput;
import com.google.common.io.ByteStreams;
import eu.mhsl.craftattack.spawn.Main;
import eu.mhsl.craftattack.spawn.worldmuseum.WorldMueseumMain;
import org.bukkit.entity.Player;

public class PluginMessage {
    private final Main plugin = WorldMueseumMain.getInstance();
    public void connect(Player player, String server) {
        ByteArrayDataOutput output = ByteStreams.newDataOutput();
        output.writeUTF("Connect");
        output.writeUTF(server);
        player.sendPluginMessage(plugin, "BungeeCord", output.toByteArray());
    }
}
