package eu.mhsl.craftattack.spawn.chatMessages.listeners;

import io.papermc.paper.event.player.AsyncChatEvent;
import net.kyori.adventure.text.Component;
import net.kyori.adventure.text.format.TextColor;
import org.bukkit.Color;
import org.bukkit.entity.Player;
import org.bukkit.event.EventHandler;
import org.bukkit.event.Listener;

public class PlayerChatListener implements Listener  {
    @EventHandler
    public void onPlayerChatEvent(AsyncChatEvent event) {
        event.renderer(
            (source, sourceDisplayName, message, viewer) -> Component.text("")
                    .append(sourceDisplayName.color(getPlayerColor(source)))
                    .append(Component.text(" > ").color(TextColor.color(Color.GRAY.asRGB())))
                    .append(message).color(TextColor.color(Color.SILVER.asRGB())));
    }
    private TextColor getPlayerColor(Player player) {
        if (player.hasPermission("chatcolor")) return TextColor.color(Color.AQUA.asRGB());
        return TextColor.color(Color.WHITE.asRGB());
    }
}
