package eu.mhsl.craftattack.spawn.worldmuseum.command;

import eu.mhsl.craftattack.spawn.worldmuseum.util.ConfigUtil;
import eu.mhsl.craftattack.spawn.worldmuseum.util.VillagerSpawner;
import org.bukkit.Location;
import org.bukkit.command.Command;
import org.bukkit.command.CommandExecutor;
import org.bukkit.command.CommandSender;
import org.bukkit.entity.*;
import org.jetbrains.annotations.NotNull;

import java.util.ArrayList;
import java.util.List;

public class WorldMuseumVillagerCommand implements CommandExecutor {
    @Override
    public boolean onCommand(@NotNull CommandSender sender, @NotNull Command command, @NotNull String label, @NotNull String[] args) {
        if (!(sender instanceof Player player)) return false;
        Location playerLocation = player.getLocation();

        double x = playerLocation.getX();
        double y = playerLocation.getY();
        double z = playerLocation.getZ();
        double yaw = playerLocation.getYaw();
        double pitch = playerLocation.getPitch();
        List<Double> cordList = new ArrayList<>() {
            {
                add(x);
                add(y);
                add(z);
                add(yaw);
                add(pitch);
            }
        };
        ConfigUtil.getConfigUtil().getConfig().set("villagerLocation", cordList);
        ConfigUtil.getConfigUtil().save();
        VillagerSpawner.killVillager();
        VillagerSpawner.spawnVillager();
        return false;
    }
}
