package eu.mhsl.craftattack.spawn.worldmuseum.util;

import org.bukkit.Location;
import org.bukkit.entity.EntityType;
import org.bukkit.entity.Villager;

public class VillagerSpawner {
    private static Villager staticVillager;
    public static void spawnVillager() {
        ConfigUtil config = ConfigUtil.getConfigUtil();
        Location location = config.getVillagerLocation();

        assert EntityType.VILLAGER.getEntityClass() != null;
        Villager villager = (Villager) location.getWorld().spawn(location, EntityType.VILLAGER.getEntityClass());

        villager.setAI(false);
        villager.setInvulnerable(true);
        villager.setSilent(true);
        villager.setCollidable(false);
        villager.setRemoveWhenFarAway(false);
        villager.setProfession(Villager.Profession.LIBRARIAN);

        staticVillager = villager;
    }
    public static void killVillager() {
        staticVillager.remove();
    }

    public static Villager getStaticVillager() {
        return staticVillager;
    }
}
